Project

General

Profile

Bug #14003

Backport r60149 (Merge rubygems-2.6.14 changes.)

Added by nagachika (Tomoyuki Chikanaga) almost 2 years ago. Updated over 1 year ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Target version:
-
ruby -v:
-
[ruby-dev:50291]

Description

バックポート管理用チケットです。

ruby_2_4 にはそのままバックポート可能なのでバージョンも一緒に 2.6.14 に上げようと思います。

Associated revisions

Revision 1281e566
Added by nagachika (Tomoyuki Chikanaga) almost 2 years ago

merge revision(s) 60149: [Backport #14003]

    Merge rubygems-2.6.14 changes.

      It fixed http://blog.rubygems.org/2017/10/09/unsafe-object-deserialization-vulnerability.html

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@60168 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 60168
Added by nagachika (Tomoyuki Chikanaga) almost 2 years ago

merge revision(s) 60149: [Backport #14003]

Merge rubygems-2.6.14 changes.

  It fixed http://blog.rubygems.org/2017/10/09/unsafe-object-deserialization-vulnerability.html

Revision 9ad02399
Added by usa (Usaku NAKAMURA) over 1 year ago

merge revision(s) 60149: [Backport #14003]

    Merge rubygems-2.6.14 changes.

      It fixed http://blog.rubygems.org/2017/10/09/unsafe-object-deserialization-vulnerability.html

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@60946 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 60946
Added by usa (Usaku NAKAMURA) over 1 year ago

merge revision(s) 60149: [Backport #14003]

Merge rubygems-2.6.14 changes.

  It fixed http://blog.rubygems.org/2017/10/09/unsafe-object-deserialization-vulnerability.html

Revision fc824f2a
Added by usa (Usaku NAKAMURA) over 1 year ago

merge revision(s) 60149: [Backport #14003]

    Merge rubygems-2.6.14 changes.

      It fixed http://blog.rubygems.org/2017/10/09/unsafe-object-deserialization-vulnerability.html

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_2@61244 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 61244
Added by usa (Usaku NAKAMURA) over 1 year ago

merge revision(s) 60149: [Backport #14003]

Merge rubygems-2.6.14 changes.

  It fixed http://blog.rubygems.org/2017/10/09/unsafe-object-deserialization-vulnerability.html

History

Updated by nagachika (Tomoyuki Chikanaga) almost 2 years ago

  • Backport changed from 2.3: REQUIRED, 2.4: REQUIRED to 2.3: REQUIRED, 2.4: DONE

ruby_2_4 r60168 merged revision(s) 60149.

#2

Updated by usa (Usaku NAKAMURA) over 1 year ago

  • Backport changed from 2.3: REQUIRED, 2.4: DONE to 2.3: DONE, 2.4: DONE

ruby_2_3 r60946 merged revision(s) 60149.

Also available in: Atom PDF